'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _config = require('config');

var _config2 = _interopRequireDefault(_config);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _morgan = require('morgan');

var _morgan2 = _interopRequireDefault(_morgan);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _rotatingFileStream = require('rotating-file-stream');

var _rotatingFileStream2 = _interopRequireDefault(_rotatingFileStream);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @export default {Function}
 */
exports.default = function (format) {
  if (_config2.default.get('logger.enable')) {

    // Create output directory.
    var outDir = _config2.default.get('logger.outputDir');

    if (_fs2.default.existsSync(outDir) === false) {
      outDir = _path2.default.join(__dirname, '../log');

      _fs2.default.mkdirSync(outDir);
    }

    // Create rotating write stream.
    var logStream = (0, _rotatingFileStream2.default)(format + '.log', {
      interval: _config2.default.get('logger.rotateInterval'),
      path: outDir
    });

    return (0, _morgan2.default)(format, {
      stream: logStream
    });
  } else {
    return (0, _morgan2.default)(format);
  }
};
//# sourceMappingURL=Logger.js.map