'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _config = require('config');

var _config2 = _interopRequireDefault(_config);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Provides SSL (Secure Socket Layer) options.
 */
var SSL = function () {
  function SSL() {
    _classCallCheck(this, SSL);
  }

  _createClass(SSL, null, [{
    key: 'ca',


    /**
     * Return the CA bundle as string.
     *
     * @return {String|undefined}
     *
     * @example
     *   const ca = SSL.ca();
     */
    value: function ca() {
      var ca = _config2.default.get('server.http.ssl.config.ca');

      return _fs2.default.existsSync(ca) && _fs2.default.readFileSync(ca) || ca;
    }

    /**
     * Return the certificate as string.
     *
     * @return {String|undefined}
     *
     * @example
     *   const cert = SSL.cert();
     */

  }, {
    key: 'cert',
    value: function cert() {
      var cert = _config2.default.get('server.http.ssl.config.cert');

      return _fs2.default.existsSync(cert) && _fs2.default.readFileSync(cert) || cert;
    }

    /**
     * Return the private key as string.
     *
     * @return {String|undefined}
     *
     * @example
     *   const key = SSL.key();
     */

  }, {
    key: 'key',
    value: function key() {
      var key = _config2.default.get('server.http.ssl.config.key');

      return _fs2.default.existsSync(key) && _fs2.default.readFileSync(key) || key;
    }
  }]);

  return SSL;
}();

/**
 * @export default SSL
 */


exports.default = SSL;
//# sourceMappingURL=SSL.js.map