'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _memorystore = require('memorystore');

var _memorystore2 = _interopRequireDefault(_memorystore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Example of a session store wrapper (WILL NOT WORK IN A SERVER CLUSTER).
 *
 * @see https://www.npmjs.com/package/express-session#compatible-session-stores
 */
var SessionStore =

/**
 * Create a new instance of SessionStore.
 *
 * @param {Function} session
 *   Express session function.
 *
 * @return {MemoryStore}
 *   MemoryStore instance.
 */
function SessionStore(session) {
  _classCallCheck(this, SessionStore);

  if (typeof session.Store !== 'function') {
    throw new Error('Constructor argument must be session.Store function');
  }

  return new ((0, _memorystore2.default)(session))({
    checkPeriod: 86400000
  });
};

/**
 * @export default SessionStore
 */


exports.default = SessionStore;
//# sourceMappingURL=SessionStore.js.map