'use strict';

/**
 * Provides utility methods.
 */

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Utils = function () {
  function Utils() {
    _classCallCheck(this, Utils);
  }

  _createClass(Utils, null, [{
    key: 'matches',


    /**
     * Compare an array of REGEX to a given value.
     *
     * @param {Array} items
     *   Array to search.
     *
     * @param {String} val
     *   Search value.
     *
     * @return {Boolean|undefined}
     *
     * @example
     *   const items = [
     *     'foo',
     *     'b.*',
     *     'qux'
     *   ];
     *
     *   const result = Utils.matches(items, 'bar');
     *   // returns true
     */
    value: function matches(items, val) {
      for (var i = 0; i < items.length; i++) {
        var regex = new RegExp(items[i] + '$');
        if (regex.test(val)) {
          return true;
        }
      }
    }

    /**
     * Execute promised operation in sequential order.
     *
     * @param {String} name
     *   Task name.
     *
     * @param {Array} tasks
     *   Array of promised actions.
     *
     * @return {Promise}
     *
     * @example
     *   const tasks = [
     *     Promise.resolve(),
     *     Promise.resolve(),
     *     Promise.resolve(),
     *
     *     ..
     *   ];
     *
     *   Utils.promiseTasks('Operation', tasks)
     *     .then(obj => obj)
     *     .catch(function(err) {
     *
     *     });
     */

  }, {
    key: 'promiseTasks',
    value: function promiseTasks(name, tasks) {
      return tasks.reduce(function (current, next) {
        return current.then(next);
      }, Promise.resolve([])).catch(function (err) {
        throw new Error(name + ' failed due to ' + err.message);
      });
    }
  }]);

  return Utils;
}();

/**
 * @export default Utils
 */


exports.default = Utils;
//# sourceMappingURL=Utils.js.map