'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _config = require('config');

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Middleware to rewrite, or omit, the X-Powered-By header.
 *
 * @export default {Function}
 */
exports.default = function (req, res, next) {
  var xPoweredBy = _config2.default.get('server.xPoweredBy');
  if (xPoweredBy) {
    res.setHeader('X-Powered-By', xPoweredBy);
  } else {
    res.removeHeader('X-Powered-By');
  }

  next();
};
//# sourceMappingURL=PoweredByHeader.js.map