'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsonapiQueryParser = require('jsonapi-query-parser');

var _jsonapiQueryParser2 = _interopRequireDefault(_jsonapiQueryParser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Middleware to parse JSON API sparse fieldsets.
 *
 * @see http://jsonapi.org/format/#fetching-sparse-fieldsets
 *
 * @export default {Function}
 */
exports.default = function (req, res, next) {
  if (Object.keys(req.query).length === 0) {
    req.query = new _jsonapiQueryParser2.default().parseRequest(req.url);
  }
  next();
};
//# sourceMappingURL=SparseFieldsetsParser.js.map