'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _expressValidator = require('express-validator');

var _ErrorHandler = require('../serializers/ErrorHandler.js');

var _ErrorHandler2 = _interopRequireDefault(_ErrorHandler);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Middleware to handle express-validator schema results.
 *
 * @see https://github.com/ctavan/express-validator#validation-result-api
 *
 * @export default {Function}
 */
exports.default = function (req, res, next) {

  // Format and send results.
  var formatter = function formatter(_ref) {
    var msg = _ref.msg,
        param = _ref.param;

    return {
      detail: msg,
      source: {
        parameter: param
      }
    };
  };

  var errors = (0, _expressValidator.validationResult)(req).formatWith(formatter);
  if (errors.isEmpty() === false) {
    return res.status(422).send((0, _ErrorHandler2.default)('Invalid parameter', errors.array()));
  }

  next();
};

// Local modules.
//# sourceMappingURL=ValidatorResult.js.map