'use strict';

// Local modules.

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ResourceRouter = require('../../middleware/ResourceRouter.js');

var _ResourceRouter2 = _interopRequireDefault(_ResourceRouter);

var _Login = require('../../resources/examples/Login.js');

var _Login2 = _interopRequireDefault(_Login);

var _Login3 = require('../../validators/examples/Login.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @export default
 */
exports.default = function (_ref) {
  var config = _ref.config,
      db = _ref.db;
  return (0, _ResourceRouter2.default)({

    /**
     * Enable validation.
     */
    middleware: _Login3.validate,

    /**
     * Create a new session.
     *
     * POST /login
     */
    create: function create(_ref2, res) {
      var body = _ref2.body,
          session = _ref2.session;

      if ((0, _Login2.default)(session).authenticate(body.username, body.password)) {
        res.status(200).json({
          session: {
            role: session.role
          } });
      } else {
        res.status(403).send();
      }
    }
  });
};
//# sourceMappingURL=Login.js.map