'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _express = require('express');

var _AccessControlManager = require('../middleware/AccessControlManager.js');

var _AccessControlManager2 = _interopRequireDefault(_AccessControlManager);

var _ContentNegotiation = require('../middleware/ContentNegotiation.js');

var _ContentNegotiation2 = _interopRequireDefault(_ContentNegotiation);

var _ContentTypeHeader = require('../middleware/ContentTypeHeader.js');

var _ContentTypeHeader2 = _interopRequireDefault(_ContentTypeHeader);

var _PackageVersionHeader = require('../middleware/PackageVersionHeader.js');

var _PackageVersionHeader2 = _interopRequireDefault(_PackageVersionHeader);

var _PoweredByHeader = require('../middleware/PoweredByHeader.js');

var _PoweredByHeader2 = _interopRequireDefault(_PoweredByHeader);

var _SparseFieldsetsParser = require('../middleware/SparseFieldsetsParser.js');

var _SparseFieldsetsParser2 = _interopRequireDefault(_SparseFieldsetsParser);

var _Login = require('./examples/Login.js');

var _Login2 = _interopRequireDefault(_Login);

var _User = require('./examples/User.js');

var _User2 = _interopRequireDefault(_User);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @export default
 */


// Examples.


// Local modules.
exports.default = function (_ref) {
  var config = _ref.config,
      db = _ref.db;

  var router = (0, _express.Router)({
    caseSensitive: config.get('router.caseSensitive'),
    strict: config.get('router.strictRouting')
  });

  // Middleware (Order is important).
  router.use(_PackageVersionHeader2.default);
  router.use(_PoweredByHeader2.default);
  router.use(_AccessControlManager2.default);
  router.use(_ContentNegotiation2.default);
  router.use(_ContentTypeHeader2.default);
  router.use(_SparseFieldsetsParser2.default);

  var app = { config: config, db: db };

  // Enable routes.
  router.use('/login', (0, _Login2.default)(app));
  router.use('/user', (0, _User2.default)(app));

  // Send root response.
  router.get('/', function (req, res) {
    res.status(501).json({});
  });

  return router;
};
//# sourceMappingURL=index.js.map