'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsonapiSerializer = require('jsonapi-serializer');

var _ErrorHandler = require('../ErrorHandler.js');

var _ErrorHandler2 = _interopRequireDefault(_ErrorHandler);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @export default {Object}
 */
exports.default = {
  error: _ErrorHandler2.default,

  /**
   * GET request response.
   */
  get: function get(data) {
    return new _jsonapiSerializer.Serializer('user', {
      attributes: ['name', 'age', 'gender'],

      // @see https://www.npmjs.com/package/jsonapi-serializer#serialization
      id: 'id',

      keyForAttribute: 'dash-case',

      pluralizeType: true,

      transform: function transform(o) {
        //o.keyName = parseInt(o.keyName);
        return o;
      }

    }).serialize(data);
  }
};

// Local modules.
//# sourceMappingURL=User.js.map