'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validate = exports.schema = undefined;

var _expressValidator = require('express-validator');

var _ValidatorResult = require('../../middleware/ValidatorResult.js');

var _ValidatorResult2 = _interopRequireDefault(_ValidatorResult);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Validator schema.
 *
 * @const {Object} schema
 */
var schema = {
  username: {
    in: ['body'],
    matches: {
      options: [/^[a-zA-Z0-9-_]+$/],
      errorMessage: 'Allowed values: Alphabetic and -_ characters'
    },
    optional: false
  },
  password: {
    in: ['body'],
    matches: {
      options: [/^[a-zA-Z0-9-_]+$/],
      errorMessage: 'Allowed values: Alphabetic and -_ characters'
    },
    optional: false
  }
};

/**
 * Exported middleware.
 *
 * @const {Array} validate
 */


// Local modules.
var validate = [(0, _expressValidator.checkSchema)(schema), _ValidatorResult2.default];

/**
 * @export {Object}
 */
exports.schema = schema;
exports.validate = validate;
//# sourceMappingURL=Login.js.map